const handlebars = require('handlebars'),
    fs = require('fs'),
    i18n = require('i18n');


const emailBuilder = {};

emailBuilder.buildTemplateEmail = function (data, language = 'pt-br') {


    const promise = new Promise(function (resolve) {

        fs.readFile('./node_modules/asksuite-core/email-template/templates/main.hbs', 'utf-8', function (error, source) {

            const i18nLocal = {};

            i18n.configure({
                directory: './node_modules/asksuite-core/locale',
                register: i18nLocal,
                updateFiles: false,
                autoReload: false
            });

            handlebars.registerHelper('i18n', (phrase, s1, s2, s3) =>
                new handlebars.SafeString(i18nLocal.__({ phrase, locale: language }, s1, s2, s3))
            );

            const template = handlebars.compile(source);
            const result = template(data);

            resolve(result);
        });

    });

    return promise;
};

module.exports = emailBuilder;
